/* font-family: 'Bevan', cursive;
font-family: 'Comfortaa', cursive;
font-family: 'Creepster', cursive;
font-family: 'Rokkitt', serif; */


/* Reset default styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, abbr, acronym, address, big, cite, code, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub, sup, tt, var, b, u, i, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font-family: 'Rokkitt', serif;
    vertical-align: baseline;
}   

.some-element {
    max-width: 100%;
}



/* Set background color */
body {
    background-color: #f4f4f4;
    min-height: 100vh;
    overflow-x: hidden;
    margin: 0;
    padding: 0;   
}

main {
    margin: 0 auto;
    width: 100%;
}   

a {
    color: inherit;
    text-decoration: none;
    font: inherit;
}   

br {
    display: block;
    content: "";
    margin: 0.25rem 0;
}

/* Style the main header */
h1 {
    text-align: center;
    margin-top: 2rem;
    margin-bottom: 0;

    display: block;
    color: #000;
    font-size: 28px;
    font-size: 1.75rem;
    line-height: 36.4px;
    line-height: 2.275rem;
    font-weight: 800;
}

/* Hero sections */
.hub-welcome-sections {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    padding: 15px 0;
    background-color: #4d88f9;
}

.hub-welcome__section {
    margin: 15px;
}

.hub-welcome__section.daily {
    order: 2;
    display: flex;
    flex-direction: column;
    width: 297px;
    height: 300px;
    justify-content: center;
    font-size: 1.125rem;

    line-height: 1.4625rem;
    align-items: center;
    background-color: #fff;
    border-radius: 7px;
    box-shadow: 0 7px 0 0 #2860d8;
    color: #000;
    flex-wrap: nowrap;
    
    padding: 0.7em 0.7em;
}

.puzzle-info-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #000;
    flex-wrap: nowrap;
    text-align: center;
    text-decoration: none;
    line-height: 1.5rem;
}

.progressIcon {
    background-image: url(images/wordle-icon.svg);
    background-size: cover;
    background-repeat: no-repeat;
    height: 100px;
    width: 100px;
}

.title {
    font-size: 2.1875rem;
    line-height: 45.5px;
    line-height: 2.84375rem;
    width: 100%;
    margin-top: 8px;
    padding: 0 20px;
}

.date {
    line-height: 1.3rem;
    font-weight: 200;
    font-size: 0.8rem;
    font-family: 'Comfortaa', cursive;
}


/* Style the mini-grid */
.mini-grid {
    margin:0;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-column-gap: 16px;
    grid-row-gap: 32px;
    margin: 15px 20px;
    justify-content: space-between;

}



/* Style the mini crossword items */
.mini-item {
    margin-bottom: 24px;
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    border: solid 1px #dcdcdc;
    background: #fff;
    text-align: center;
    overflow: hidden;  
    flex-wrap: nowrap;
    height: 100%;
    align-items: stretch;
    justify-content: center;  
    position: relative; 
}

.locked{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(255, 255, 255, 0.5); /* White overlay with 50% opacity */
  backdrop-filter: blur(1px); /* The actual blur effect */
  pointer-events: none; 
}

.mini-cover {
    align-items: center;
    justify-content: center;
    padding-top: 22px;
    flex: 0 1;
}

#one-mini {
    background-color: #a3c9ff;
}

#two-mini {
    background-color: #e3e3e1;
}

#three-mini {
    background-color: #ffeda3;
}

#four-mini {
    background-color: #99fa99;
}

#five-mini {
    background-color: #c8a3ff;
}

#six-mini {
    background-color: #ffa3a3;
}

.wordle-illustration {
    background-repeat: no-repeat;
    background-position: center;
    background-image: url(images/wordle-icon.svg);
    height: 62px;
    background-size: contain;
}

.mini-name {
    color: #000;
    padding: 18px 0 20px;
    line-height: 24px;
    letter-spacing: .2px;
    font-weight: bold;
    font-size: 1.5rem;
}


.mini-content {
    flex: 1;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;
    line-height: 1.1375rem;
    padding: 0;
    flex: 1;
    font-size: 0.875rem;
}

.description {
    color: #959595;
    padding: 0 10px;
    margin: 12px 0 10px;
    line-height: 20px;
    font-size: 16px;
    font-family: 'Comfortaa', cursive;
}

/* Style the play button */
.play-button {
    background-color: white;
    padding: 0.5rem 1rem;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: nowrap;
    border-radius: 44px;
    letter-spacing: .25px;
    height: 44px;
    color: #333;
    border: 1px solid #ccc;
    font-weight: 700;
    margin: 0 12px 16px; /* this is responsive to the screen size on their site */
    line-height: 1.3rem;
    font-family: 'Comfortaa', cursive;

       
}

.play-button-locked {
    background-color: rgba(116, 110, 110, 0.849);
    padding: 0.5rem 1rem;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-wrap: nowrap;
    border-radius: 44px;
    letter-spacing: .25px;
    height: 44px;
    color: #ffffff;
    border: 1px solid #ccc;
    font-weight: 700;
    margin: 0 12px 16px; /* this is responsive to the screen size on their site */
    line-height: 1.3rem;
    font-family: 'Comfortaa', cursive;
    z-index: 1000;
}

.play-button:hover {
    background-color: #f0f0f0;
}

/* Style the footer */
footer {
    margin-top: 2rem;
    padding: 1rem;
}

.completed-minis {
    list-style: none;
    padding-left: 1rem;
}


/* CSS for smaller devices like iPhone SE (width less than or equal to 375px) */
@media only screen and (max-width: 375px) {
    /* Insert the CSS rules here */
}

/* CSS for larger devices like iPhone 12 (width less than or equal to 414px) */
@media only screen and (max-width: 414px) {
    /* Insert the CSS rules here */
}

/* CSS for medium-sized devices like iPhone XR (width less than or equal to 414px) */
@media only screen and (max-width: 828px) {
    /* Insert the CSS rules here */
}


